/******************************************************************************
 * DISCLAIMER
 * This software is supplied by Renesas Electronics Corporation and is only
 * intended for use with Renesas products. No other uses are authorized. This
 * software is owned by Renesas Electronics Corporation and is protected under
 * all applicable laws, including copyright laws.
 * THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
 * THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
 * LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
 * AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
 * TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
 * ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
 * FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
 * ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
 * BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 * Renesas reserves the right, without notice, to make changes to this software
 * and to discontinue the availability of this software. By using this software,
 * you agree to the additional terms and conditions found by accessing the
 * following link:
 * http://www.renesas.com/disclaimer
 * Copyright (C) 2014 Renesas Electronics Corporation. All rights reserved.
 *****************************************************************************/
/******************************************************************************
 .* File Name    : rzDmaTest.h
 * Device(s)    : __#device#__
 * Tool-Chain   : __#tool_chain#__
 * H/W Platform : __#platform#__
 * $Rev         : 0 $
 * $Date        : 0#$
 .* Description  : This module solves all the world's problems.
 *****************************************************************************/
/******************************************************************************
 * History : DD.MM.YYYY Version  Description
 *         : 15.01.2007 1.00     First Release
 *****************************************************************************/

/******************************************************************************
 WARNING!  IN ACCORDANCE WITH THE USER LICENCE THIS CODE MUST NOT BE CONVEYED
 OR REDISTRIBUTED IN COMBINATION WITH ANY SOFTWARE LICENSED UNDER TERMS THE
 SAME AS OR SIMILAR TO THE GNU GENERAL PUBLIC LICENCE
 ******************************************************************************/

#ifndef RZ_DMA_TEST_H_
#define RZ_DMA_TEST_H_

/******************************************************************************
 Includes   <System Includes> , "Project Includes"
 *****************************************************************************/

#include "r_typedefs.h"

/******************************************************************************
 Macro definitions
 *****************************************************************************/

/******************************************************************************
 Typedef definitions
 *****************************************************************************/

typedef enum _RZDMAE
{
    RZ_DMA_OK = 0,
    RZ_DMA_SRC_MEMORY_ADDRESS_ERROR = -1,
    RZ_DMA_DEST_MEMORY_ADDRESS_ERROR = -2,
    RZ_DMA_MEMORY_LENGTH_ERROR = -3,
    RZ_DMA_MEMORY_BOUNDARY_ERROR = -4,
    RZ_DMA_MEMORY_COMPARE_ERROR = -5
} RZDMAE;

/******************************************************************************
 Variable External definitions and Function External definitions
 *****************************************************************************/

/******************************************************************************
 Exported global functions (to be accessed by other files)
 *****************************************************************************/

#ifdef __cplusplus
extern "C"
{
#endif

/******************************************************************************
 * Function Name: rzDmaTest
 * Description  : Function to test a DMA memory to memory transfer. It fills the
 source memory with known data, performs a DMA transfer and then compares the
 source and destination memory
 * Arguments    : OUT pvDest - Pointer to the destination memory
 * Arguments    : IN  pvSrc - Pointer to the source memory
 * Arguments    : IN  stLength - The length of memory to transfer
 * Arguments    : IN  bfMemcpy - true to use memcpy C function
 * Return Value : The status of the test
 *****************************************************************************/
extern RZDMAE rzDmaTest (void *pvDest, void *pvSrc, size_t stLength, bool_t bfMemcpy);

#ifdef __cplusplus
}
#endif

#endif /* RZDMATEST_H_ */

/******************************************************************************
 End  Of File
 *****************************************************************************/
