/******************************************************************************
  Copyright (C) 2011 Renesas Electronics Corporation, All Rights Reserved.
*******************************************************************************
* File Name    : hwRIIC3.h
* Version      : 1.00
* Description  : Hardware interface for RIIC3
******************************************************************************
* History : DD.MM.YYYY Version Description
*         : dd.mm.yyyy 1.00    First Release
******************************************************************************/

#ifndef HWLED_H_INCLUDED
#define HWLED_H_INCLUDED

#ifdef __cplusplus
extern "C" {
#endif

/******************************************************************************
System includes / User includes
******************************************************************************/
#include "r_typedefs.h"
#include "drvLed.h"

/******************************************************************************
Public Functions
******************************************************************************/

/******************************************************************************
Function Name: led_on
Description:   LED specified for iLedNum is turned on.
Arguments:     IN iLedNum : LED number
Return value:  none
******************************************************************************/

extern  void led_on(int32_t iLedNum);

/******************************************************************************
Function Name: led_toggle
Description:   LED specified for iLedNum is toggled.
Parameters:    IN iLedNum : LED number
Return value:  none
******************************************************************************/

extern  void led_toggle(int32_t iLedNum);

/******************************************************************************
Function Name: led_off
Description:   LED specified for iLedNum is tuned off.
Arguments:     IN iLedNum : LED number
Return value:  none
******************************************************************************/

extern  void led_off(int32_t iLedNum);

/******************************************************************************
Function Name: led_status
Description:   LED status specified for "iLedNum".
Arguments:     IN iLedNum : LED number
Return value:  0 led on
               1 led off
******************************************************************************/

extern  int32_t led_status(int32_t iLedNum);

#ifdef __cplusplus
}
#endif

#endif                              /* HWLED_H_INCLUDED */

/*****************************************************************************
End  Of File
******************************************************************************/
