/******************************************************************************
  Copyright (C) 2011 Renesas Electronics Corporation, All Rights Reserved.
*******************************************************************************
* File Name    : hwRIIC0.h
* Version      : 1.00
* Description  : Hardware interface for RIIC0
******************************************************************************
* History : DD.MM.YYYY Version Description
*         : dd.mm.yyyy 1.00    First Release
******************************************************************************/

#ifndef HWRIIC0_H_INCLUDED
#define HWRIIC0_H_INCLUDED

#ifdef __cplusplus
extern "C" {
#endif

/******************************************************************************
System includes / User includes
******************************************************************************/
#include "r_typedefs.h"

/******************************************************************************
Public Functions
******************************************************************************/

/******************************************************************************
* Function Name: r_RIIC0_Open
* Description  : Function to open RIIC channel 0
* Arguments    : none
* Return Value : 0 for success or -1 on error
******************************************************************************/

extern  int32_t r_RIIC0_Open(void);

/******************************************************************************
* Function Name: r_RIIC0_Close
* Description  : Function to close RIIC channel 0
* Arguments    : none
* Return Value : none
******************************************************************************/

extern  void r_RIIC0_Close(void);

/******************************************************************************
 * Function Name: R_RIIC_CAMERA_write
 * Description  : Configuration register for Camera
******************************************************************************/
extern int32_t R_RIIC_CAMERA_write(uint32_t channel,
                               uint8_t d_adr,
                               uint16_t w_adr,
                               uint8_t data);

/******************************************************************************
 * Function Name: R_RIIC_HDMI_Enable
 * Description  : Enable HDMI module on RSK TFT APP BOARD via I2C
******************************************************************************/
extern int32_t R_RIIC_HDMI_Enable(void);



#ifdef __cplusplus
}
#endif

#endif                              /* HWRIIC0_H_INCLUDED */

/*****************************************************************************
End  Of File
******************************************************************************/
