/******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only 
* intended for use with Renesas products. No other uses are authorized. This 
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE 
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS 
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE 
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the 
* following link:
* http://www.renesas.com/disclaimer
*******************************************************************************
* Copyright (C) 2011 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************
* File Name    : sysUsage.h
* Version      : 1.00
* Description  : 
*******************************************************************************
* History      : DD.MM.YYYY Version Description
*              : 04.04.2011 1.00    First Release
******************************************************************************/

/******************************************************************************
  WARNING!  IN ACCORDANCE WITH THE USER LICENCE THIS CODE MUST NOT BE CONVEYED
  OR REDISTRIBUTED IN COMBINATION WITH ANY SOFTWARE LICENSED UNDER TERMS THE
  SAME AS OR SIMILAR TO THE GNU GENERAL PUBLIC LICENCE
******************************************************************************/

#ifndef SYSUSAGE_H_INCLUDED
#define SYSUSAGE_H_INCLUDED

/******************************************************************************
Includes   <System Includes> , "Project Includes"
******************************************************************************/

/******************************************************************************
Enumerated Types
******************************************************************************/

enum _SYRES
{
    SYRES_CPU_USAGE = 0,
    SYRES_EVENT_USAGE,
    SYRES_FILES_USAGE,
    SYRES_TIMER_USAGE,
    SYRES_NUM
};

/******************************************************************************
Public Functions
******************************************************************************/

#ifdef __cplusplus
extern "C" {
#endif

/******************************************************************************
Function Name: sriStart
Description:   Function to start the system resource information monitor
Parameters:    IN  iMeasurementPeriod_mS - The measurement period in mS
               IN  iHistory - The number of updates to store
Return value:  0 for success
******************************************************************************/

extern  int32_t sriStart(uint32_t   uiMeasurementPeriod_mS,
                         int32_t    iHistory);

/******************************************************************************
Function Name: sriStop
Description:   Function to stop the system resource information monitor
Parameters:    none
Return value:  none
******************************************************************************/

extern  void sriStop(void);


/******************************************************************************
Function Name: sriGet
Description:   Function to get some system resource information
Parameters:    IN  iType - The data type (or row) of data to get
Return value:  Pointer to a dynamically allocated string containing the data
               or NULL on error
******************************************************************************/

int8_t *sriGet(int32_t iType);

#ifdef __cplusplus
}
#endif

#endif                              /* SYSUSAGE_H_INCLUDED */

/******************************************************************************
End  Of File
******************************************************************************/
