/******************************************************************************
 * DISCLAIMER
 * This software is supplied by Renesas Electronics Corporation and is only
 * intended for use with Renesas products. No other uses are authorized. This
 * software is owned by Renesas Electronics Corporation and is protected under
 * all applicable laws, including copyright laws.
 * THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
 * THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
 * LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
 * AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
 * TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
 * ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
 * FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
 * ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
 * BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
 * Renesas reserves the right, without notice, to make changes to this software
 * and to discontinue the availability of this software. By using this software,
 * you agree to the additional terms and conditions found by accessing the
 * following link:
 * http://www.renesas.com/disclaimer
 *
 * Copyright (C) 2012 Renesas Electronics Corporation. All rights reserved.
 *****************************************************************************/
/******************************************************************************
 * File Name    : compiler_settings.h
 * Device(s)    : __#device#__
 * Tool-Chain   : __#tool_chain#__
 * H/W Platform : __#platform#__
 * $Rev         : 0 $
 * $Date        : 0#$
 * Description  : Compiler specific configuration settings.
 *****************************************************************************/
/******************************************************************************
 * History : DD.MM.YYYY Version  Description
 *         : 15.01.2007 1.00     First Release
 *****************************************************************************/

/******************************************************************************
 WARNING!  IN ACCORDANCE WITH THE USER LICENCE THIS CODE MUST NOT BE CONVEYED
 OR REDISTRIBUTED IN COMBINATION WITH ANY SOFTWARE LICENSED UNDER TERMS THE
 SAME AS OR SIMILAR TO THE GNU GENERAL PUBLIC LICENCE
 ******************************************************************************/

#ifndef R_COMPILER_SETTINGS_H

/******************************************************************************
 Includes   <System Includes> , "Project Includes"
 *****************************************************************************/

#define R_COMPILER_SETTINGS_H

/* Remove this comment to enable l2 Cache on device */
/*
 #ifdef R_FREERTOS_CONFIG_L2CC
*/

/******************************************************************************
 Macro definitions
 *****************************************************************************/
/* Note: Definition not in parenthesis due to compiler directive. */
#define RESET_CODE_SECTION  __attribute__ ((section ("CODE_RESET")))
#define RESET_BSS_SECTION   __attribute__ ((section ("BSS_RESET")))
#define VRAM_SECTION  __attribute__ ((section (".VRAM_SECTION")))
#define WORK_SECTION1  __attribute__ ((section (".WORK_SECTION1")))
#define VRAM_SECTION  __attribute__ ((section (".VRAM_SECTION")))
#define VRAM_SECTION1  __attribute__ ((section (".VRAM_SECTION1")))
#define VRAM_SECTION2  __attribute__ ((section (".VRAM_SECTION2")))

/******************************************************************************
 Typedef definitions
 *****************************************************************************/

/******************************************************************************
 Variable External definitions and Function External definitions
 *****************************************************************************/

/******************************************************************************
 Exported global functions (to be accessed by other files)
 *****************************************************************************/

#endif  /* R_COMPILER_SETTINGS_H */

/******************************************************************************
 End  Of File
 ******************************************************************************/
