/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer*
* Copyright (C) 2013-2014 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/
/*******************************************************************************
* File Name : wdt_iodefine.h
* $Rev: 5090 $
* $Date:: 2015-06-19 10:43:55 +0100#$
* Description : Definition of I/O Register (V1.00a)
******************************************************************************/
#ifndef WDT_IODEFINE_H
#define WDT_IODEFINE_H

union un_wdt {                                  /* union WDT    */
             struct {                           /* Read  Access */
                    union {                     /* WTCSR        */
                          _UBYTE BYTE;          /*  Byte Access */
                          struct {              /*  Bit  Access */
                                 _UBYTE CKS:3;  /*    CKS       */
                                 _UBYTE :2;     /*              */
                                 _UBYTE TME:1;  /*    TME       */
                                 _UBYTE WTIT:1; /*    WT/IT     */
                                 _UBYTE IOVF:1; /*    IOVF      */
                                 } BIT;         /*              */
                          } WTCSR;              /*              */
                    _UBYTE wk1;                 /*              */
                    _UBYTE WTCNT;               /* WTCNT        */
                    _UBYTE wk2;                 /*              */
                    union {                     /* WRCSR        */
                          _UBYTE BYTE;          /*  Byte Access */
                          struct {              /*  Bit  Access */
                                 _UBYTE :5;     /*              */
				 _UBYTE RSTS:1; /*    RSTS      */
				 _UBYTE RSTE:1; /*    RSTE      */
                                 _UBYTE WOVF:1; /*    WOVF      */
                                 } BIT;         /*              */
                          } WRCSR;              /*              */
                    } READ;                     /*              */
             struct {                           /* Write Access */
                    _UWORD WTCSR;               /* WTCSR        */
                    _UWORD WTCNT;               /* WTCNT        */
                    _UWORD WRCSR;               /* WRCSR        */
                    } WRITE;                    /*              */
};                                              /*              */


#define WDT     (*(volatile union un_wdt     *)0xFCFE0000uL) /* WDT */

#endif
