/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2015 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/
/*******************************************************************************
* File Name     : r_pmod_samplemain.h.h
* Device(s)     : RZ/A1H (R7S721001)
* Tool-Chain    : GNUARM-RZv14.01-EABI
* H/W Platform  : RSK+RZA1H CPU Board
* Description   : PMOD display board sample module .h file
*******************************************************************************/
/*******************************************************************************
* History       : DD.MM.YYYY Version Description
*               : 21.08.2015 1.00    Initial Version
*******************************************************************************/

#ifndef R_PMOD_SAMPLE_H
#define R_PMOD_SAMPLE_H

/******************************************************************************
Enumerated Types
******************************************************************************/

typedef enum _pmod_event_t
{
    PMOD_SAMPLE_CREATED = 0,
    PMOD_COMMAND_ACTIVE,
    PMOD_COMMAND_ISR_TRIG,
    PMOD_NUM_SIGNALS
} pmod_event_t;

/******************************************************************************
Typedefs
******************************************************************************/

typedef struct _pmod_config_t
{
    PEVENT          ppevSignals[PMOD_NUM_SIGNALS];
    _Bool           bfActive;
    uint32_t        taskid;
    uint8_t         image_angle;
} pmod_config_t;

typedef struct _pmod_config_t *ppmod_config_t;


/******************************************************************************
Constant Data
******************************************************************************/

/******************************************************************************
External Variables
******************************************************************************/

/******************************************************************************
Global Variables
******************************************************************************/

/******************************************************************************
Public Functions
******************************************************************************/
void R_PMOD_SampleMain(FILE *pIn, FILE *pOut);
void pmod_rotate_no_screen_update (void);

#endif  /* R_PMOD_SAMPLE_H */

/* End of File */
