/*******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only
* intended for use with Renesas products. No other uses are authorized. This
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the
* following link:
* http://www.renesas.com/disclaimer
*
* Copyright (C) 2015 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************/
/*******************************************************************************
* File Name     : ostm_userdef.c
* Device(s)     : RZ/A1H (R7S721001)
* Tool-Chain    : GNUARM-RZv14.01-EABI
* H/W Platform  : RSK+RZA1H CPU Board
* Description   : OS timer device driver (User define function)
*******************************************************************************/
/*******************************************************************************
* History       : DD.MM.YYYY Version Description
*               : 21.08.2015 1.00    Initial Version
*******************************************************************************/

/******************************************************************************
Includes   <System Includes> , "Project Includes"
******************************************************************************/
#include "r_typedefs.h"
#include "dev_drv.h"                /* Device Driver common header */
#include "devdrv_ostm.h"            /* OSTM Driver header */
#include "devdrv_intc.h"            /* INTC Driver Header */
#include "iodefine.h"
#include "main.h"

/******************************************************************************
Typedef definitions
******************************************************************************/

/******************************************************************************
Macro definitions
******************************************************************************/
#define P0_CLOCK_FREQUENCY_kHz  (33.333 * 1000)     /* 33.333MHz */
#define MAX_CYCLE_msec          (0xFFFFFFFF / P0_CLOCK_FREQUENCY_kHz)

/******************************************************************************
Exported global variables and functions (to be accessed by other files)
******************************************************************************/

/******************************************************************************
Private global variables and functions
******************************************************************************/

/******************************************************************************
* Function Name: Userdef_OSTM0_Init
* Description  :
* Arguments    : uint32_t mode
*              : uint32_t cycle
* Return Value : DEVDRV_SUCCESS
*              : DEVDRV_ERROR
******************************************************************************/
int32_t Userdef_OSTM0_Init(uint32_t mode, uint32_t cycle)
{
    return DEVDRV_SUCCESS;
}
/*****************************************************************************
End of function  Userdef_OSTM0_Init
******************************************************************************/

/******************************************************************************
* Function Name: Userdef_OSTM1_Init
* Description  :
* Arguments    : uint32_t mode
*              : uint32_t cycle
* Return Value : DEVDRV_SUCCESS
*              : DEVDRV_ERROR
******************************************************************************/
int32_t Userdef_OSTM1_Init(uint32_t mode, uint32_t cycle)
{
    return 0;
}
/*****************************************************************************
End of function  Userdef_OSTM1_Init
******************************************************************************/

/******************************************************************************
* Function Name: Userdef_OSTM0_Int
* Description  :
* Arguments    :
* Return Value : none
******************************************************************************/
void Userdef_OSTM0_Int(void)
{
}
/*****************************************************************************
End of function  Userdef_OSTM0_Int
******************************************************************************/

/******************************************************************************
* Function Name: Userdef_OSTM1_Int
* Description  :
* Arguments    :
* Return Value : none
******************************************************************************/
void Userdef_OSTM1_Int(void)
{
}
/*****************************************************************************
End of function  Userdef_OSTM1_Int
******************************************************************************/

/******************************************************************************
* Function Name: Userdef_OSTM0_WaitInt
* Description  :
* Arguments    :
* Return Value : none
******************************************************************************/
void Userdef_OSTM0_WaitInt(void)
{
}
/*****************************************************************************
End of function  Userdef_OSTM0_WaitInt
******************************************************************************/

/******************************************************************************
* Function Name: Userdef_OSTM1_WaitInt
* Description  :
* Arguments    :
* Return Value : none
******************************************************************************/
void Userdef_OSTM1_WaitInt(void)
{
}
/*****************************************************************************
End of function  Userdef_OSTM1_WaitInt
******************************************************************************/

/* End of File */

