/******************************************************************************
* DISCLAIMER
* This software is supplied by Renesas Electronics Corporation and is only 
* intended for use with Renesas products. No other uses are authorized. This 
* software is owned by Renesas Electronics Corporation and is protected under
* all applicable laws, including copyright laws.
* THIS SOFTWARE IS PROVIDED "AS IS" AND RENESAS MAKES NO WARRANTIES REGARDING
* THIS SOFTWARE, WHETHER EXPRESS, IMPLIED OR STATUTORY, INCLUDING BUT NOT
* LIMITED TO WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE 
* AND NON-INFRINGEMENT. ALL SUCH WARRANTIES ARE EXPRESSLY DISCLAIMED.
* TO THE MAXIMUM EXTENT PERMITTED NOT PROHIBITED BY LAW, NEITHER RENESAS 
* ELECTRONICS CORPORATION NOR ANY OF ITS AFFILIATED COMPANIES SHALL BE LIABLE 
* FOR ANY DIRECT, INDIRECT, SPECIAL, INCIDENTAL OR CONSEQUENTIAL DAMAGES FOR
* ANY REASON RELATED TO THIS SOFTWARE, EVEN IF RENESAS OR ITS AFFILIATES HAVE
* BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
* Renesas reserves the right, without notice, to make changes to this software
* and to discontinue the availability of this software. By using this software,
* you agree to the additional terms and conditions found by accessing the 
* following link:
* http://www.renesas.com/disclaimer
*******************************************************************************
* Copyright (C) 2012 Renesas Electronics Corporation. All rights reserved.
*******************************************************************************
* File Name    : taskPriority.h
* Version      : 1.0
* Device(s)    : Renesas
* Description  : The task priority definitions.
*******************************************************************************
* History      : DD.MM.YYYY Ver. Description
*              : 01.08.2009 1.00 First Release
******************************************************************************/

/******************************************************************************
  WARNING!  IN ACCORDANCE WITH THE USER LICENCE THIS CODE MUST NOT BE CONVEYED
  OR REDISTRIBUTED IN COMBINATION WITH ANY SOFTWARE LICENSED UNDER TERMS THE
  SAME AS OR SIMILAR TO THE GNU GENERAL PUBLIC LICENCE
******************************************************************************/

#ifndef TASKPRIORITY_H_INCLUDED
#define TASKPRIORITY_H_INCLUDED

/******************************************************************************
Enumerated Types
******************************************************************************/

#define TASK_JSON_FORMATTER_PRI     (0)
#define TASK_RESOURCE_MONITOR_PRI   (0)
#define TASK_MAIN_TASK_PRI          (2)
#define TASK_DISK_MANAGER_PRI       (0)
#define TASK_UDP_IP_LINK_MON_PRI    (0)
#define TASK_TELNET_MON_PRI         (0)
#define TASK_LCD_CONSOLE_PRI        (0)
#define TASK_UDP_IP_CONSOLE_PRI     (0)
#define TASK_TCP_IP_CONSOLE_PRI     (0)
#define TASK_WEB_SERVER_PRI         (0)
#define TASK_LWIP_MAIN_PRI          (0)
#define TASK_USB_KEYBOARD_STD_PRI   (0)
#define TASK_AUDIO_CONTROL_PRI      (0)
#define TASK_LCD_REFRESH_PRI        (0)
#define TASK_ETHERC_LINK_MON_PRI    (0)
#define TASK_HID_KEYBOARD_PRI       (0)
#define TASK_USB_ENMERATOR_PRI      (0)
#define TASK_ETHERC_OUTPUT_PRI      (0)
#define TASK_ETHERC_INPUT_PRI       (0)
#define TASK_NUMBER_OF_PRIORITIES   (5)


#endif /* TASKPRIORITY_H_INCLUDED */

/******************************************************************************
End  Of File
******************************************************************************/
